package com.mc.monkeynes.hardware;

public abstract class MemoryMapper
{
  NesMainMemory  mainMem = null;
  NesVideoMemory vidMem  = null;
  NesRom         rom     = null;
  
  protected MemoryMapper( NesMainMemory inMainMem, NesVideoMemory inVidMem, NesRom inRom )
  {
    mainMem = inMainMem;
    vidMem  = inVidMem;
    rom     = inRom;
  }
  
  public NesMainMemory getMainMemory()
  {
    return mainMem;
  }
  
  public NesVideoMemory getVideoMemory()
  {
    return vidMem;
  }
  
  public NesRom getRom()
  {
    return rom;
  } 
  
  public abstract void powerOn();
}